%{?mingw_package_header}

%global mingw_pkg_name libglademm24

# 64 bit does not build due to too old autotools
%global mingw_build_win64 0

Name:           mingw-%{mingw_pkg_name}
Version:        2.6.7
Release:        %mkrel 25

Summary:        MinGW Windows C++ wrapper for libglade

Group:          Development/Other
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        https://download.gnome.org/sources/libglademm/2.6/libglademm-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gtkmm24 >= 2.6.0
BuildRequires:  mingw32-libglade2 >= 2.6.1
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-filesystem >= 68
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gtkmm24 >= 2.6.0
BuildRequires:  mingw64-libglade2 >= 2.6.1
BuildRequires:  mingw64-libpng

%description
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%if 0%{?mingw_build_win32} == 1
%package -n mingw32-%{mingw_pkg_name}
Summary:        MinGW Windows C++ wrapper for libglade
Group:          Development/Other

%description -n mingw32-%{mingw_pkg_name}
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.
%endif

%if 0%{?mingw_build_win64} == 1
%package -n mingw64-%{mingw_pkg_name}
Summary:        MinGW Windows C++ wrapper for libglade
Group:          Development/Other

%description -n mingw64-%{mingw_pkg_name}
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.
%endif


%{?mingw_debug_package}


%prep
%setup -q -n libglademm-%{version}


%build
MINGW32_CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -std=c++11'
MINGW64_CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -std=c++11'
export MINGW32_CXXFLAGS
export MINGW64_CXXFLAGS
%mingw_configure --disable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT
%if 0%{?mingw_build_win32} == 1
rm -rf ${RPM_BUILD_ROOT}%{mingw32_docdir}/gnomemm-2.6/libglademm-2.4/*
rm -f ${RPM_BUILD_ROOT}%{mingw32_datadir}/devhelp/books/libglademm-2.4/*
%endif
%if 0%{?mingw_build_win64} == 1
rm -rf ${RPM_BUILD_ROOT}%{mingw64_docdir}/gnomemm-2.6/libglademm-2.4/*
rm -f ${RPM_BUILD_ROOT}%{mingw64_datadir}/devhelp/books/libglademm-2.4/*
%endif
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.exe" -exec rm -f {} ';'


%if 0%{?mingw_build_win32} == 1
%files -n mingw32-%{mingw_pkg_name}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{mingw32_bindir}/libglademm-2.4-1.dll
%{mingw32_includedir}/libglademm-2.4
%{mingw32_libdir}/libglademm-2.4.dll.a
%{mingw32_libdir}/libglademm-2.4
%{mingw32_libdir}/pkgconfig/*.pc
%endif

%if 0%{?mingw_build_win64} == 1
%files -n mingw64-%{mingw_pkg_name}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{mingw64_bindir}/libglademm-2.4-1.dll
%{mingw64_includedir}/libglademm-2.4
%{mingw64_libdir}/libglademm-2.4.dll.a
%{mingw64_libdir}/libglademm-2.4
%{mingw64_libdir}/pkgconfig/*.pc
%endif



%changelog
* Sat Sep 26 2020 tv <tv> 2.6.7-25.mga8
+ Revision: 1630209
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 2.6.7-24.mga8
+ Revision: 1492088
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.6.7-23.mga7
+ Revision: 1264355
- Mageia 7 Mass Rebuild

* Wed Apr 06 2016 tv <tv> 2.6.7-22.mga6
+ Revision: 998953
- resync with FC
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.7-20.mga5
+ Revision: 746841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.7-19.mga5
+ Revision: 682472
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.6.7-18.mga4
+ Revision: 483972
- imported package mingw-libglademm24


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.7-15
- Renamed the source package to mingw-libglademm24 (RHBZ #800910)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.7-14
- Rebuild against the mingw-w64 toolchain

* Wed Feb 01 2012 Kalev Lember <kalevlember@gmail.com> - 2.6.7-13
- Rebuilt for libpng 1.5
- Spec cleanup
- Dropped .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 2.6.7-11
- Rebuilt against win-iconv

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 2.6.7-10
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-7
- add debuginfo packages

* Wed Apr 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-6
- rebuild

* Sun Apr 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-5
- untangle BR and BA
- remove docs

* Sat Apr 18 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-4
- BR mingw32-gcc-c++
- remove --enable-docs

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-3
- unfiy main and devel subpackages

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-2
- copy from native package
